Bug 60651 - segmentation fault in compilation
segmentation fault in compilation
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-04 02:20 EST by vvs
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-04 02:21:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
preprocessed test case (146.72 KB, text/plain)
2002-03-04 02:21 EST, vvs
no flags Details

  None (edit)
Description vvs 2002-03-04 02:20:58 EST
Description of Problem:

Compiler crashed with internal error: segmentation fault.

Version-Release number of selected component (if applicable):

gcc-3.1-0.21

How Reproducible:

Always

Steps to Reproduce:
1. Save attached file
2. gcc -c -O -fssa -fssa-ccp nbench1.i

Actual Results:

nbench1.c: In function `read_data_file':
nbench1.c:3702: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.

Expected Results:

Successful compilation.

Additional Information:
Comment 1 vvs 2002-03-04 02:21:49 EST
Created attachment 47284 [details]
preprocessed test case
Comment 2 Jakub Jelinek 2002-03-11 06:19:45 EST
Fixed in 3.1-0.22.
Comment 3 vvs 2002-03-18 05:10:08 EST
Hmm... I don't seem to find it in rawhide, but there is gcc-2.96-107 instead.
Seems that policies were changed again, aren't they? ;-) Will gcc-3.1-0.22 make
it into rawhide later or is there any other place to download?

Note You need to log in before you can comment on or make changes to this bug.